FROM php:7.4-fpm

RUN apt-get update && apt-get install -y wget git unzip mc
RUN pecl install xdebug-2.9.0
RUN docker-php-ext-enable xdebug

ADD php/php.ini /usr/local/etc/php/php.ini

RUN mkdir -p /root/.config/mc/
ADD mc/ini /root/.config/mc/
ADD mc/panels.ini /root/.config/mc/

RUN wget https://getcomposer.org/installer -O - -q \
    | php -- --install-dir=/bin --filename=composer --quiet

WORKDIR /var/www/html